%define scitever 557
%global debug_package %{nil}
%global QA_RPATHS 0x0008
Summary: 	GTK text editor based on scintilla
Name: scite
Version: 5.5.7
Release: 1.fc42
License: 	BSD
Group: 		Editors
Url: 		http://www.scintilla.org/SciTE.html
Source: 	scite%{scitever}.tgz
Source1:        icons.tar
Source2:        fortran.api
# scite patches
Patch0: 	scite-utf8.patch
Patch1:         scite-desktop.patch
Patch2:         scite-fedora38.patch
Patch3:         scite-fortran.patch
Patch5:         scite-abbrev_fortran.patch
Patch6:		scite_source_file.patch
Patch7:		scintilla-fedora38.patch
# scintilla patches
#
BuildRoot: 	/var/tmp/%{name}-root
BuildRequires: 	gtk3-devel pkgconfig dos2unix

%description
SciTE is a GTK based single-document editor. While its features are
limited, its main purpose is to show off scintilla, an extensible
text highlighting and formatting engine.

%prep
rm -rf $RPM_BUILD_DIR/scite
rm -rf $RPM_BUILD_DIR/scintilla
rm -rf $RPM_BUILD_DIR/lexilla

%setup -q -n scite

# take out the ^M characters from line ends before patching
dos2unix ../scintilla/include/Scintilla.iface
dos2unix src/*.properties
dos2unix src/SciTEBuffers.cxx
dos2unix gtk/SciTE.desktop
dos2unix doc/SciTEDoc.html
%patch 0 -p1
%patch 1 -p1
%patch 3 -p1
%patch 5 -p1
%patch 6 -p1
cd ../scintilla
%patch 7 -p1
dos2unix gtk/PlatGTK.cxx
dos2unix include/Scintilla.h
cd ../lexilla

cd ../scite
%patch 2 -p1
cd $RPM_BUILD_DIR
cd $RPM_BUILD_DIR/scite

%build
export QA_RPATHS=0x0008
cd ../scintilla/gtk
make GTK3=1
cd $RPM_BUILD_DIR/lexilla/src
make GTK3=1
cd $RPM_BUILD_DIR/scite/gtk
make GTK3=1

%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_prefix/share/icons/hicolor
mkdir -p $RPM_BUILD_ROOT/%_prefix/share/%name
mkdir -p $RPM_BUILD_ROOT/%_prefix/share/doc/%name-%{version}
mkdir -p $RPM_BUILD_ROOT/%_datadir/pixmaps
mkdir -p $RPM_BUILD_ROOT/%_datadir/applnk/Editors
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
cp bin/SciTE $RPM_BUILD_ROOT/%_bindir
cp bin/libscintilla.so $RPM_BUILD_ROOT/%_bindir
cp bin/liblexilla.so $RPM_BUILD_ROOT/%_bindir
cp src/*.properties $RPM_BUILD_ROOT/%_prefix/share/%name
cp doc/* $RPM_BUILD_ROOT/%_prefix/share/%name
rm -f $RPM_BUILD_ROOT/%_prefix/share/%name/*.1
cp README License.txt $RPM_BUILD_ROOT/%_prefix/share/doc/%name-%{version}
cp gtk/SciTE.desktop $RPM_BUILD_ROOT/%_datadir/applnk/Editors
cp gtk/Sci48M.png $RPM_BUILD_ROOT/%_datadir/pixmaps/scite.png
cp gtk/Sci48M.png $RPM_BUILD_ROOT/%_datadir/pixmaps/Sci48M.png
mv doc/%name.1 $RPM_BUILD_ROOT/%_mandir/man1
tar -xf %{SOURCE1} -C $RPM_BUILD_ROOT/%_prefix/share/icons/hicolor
cp %{SOURCE2} $RPM_BUILD_ROOT/%_prefix/share/%name

# menu
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/applications
mv $RPM_BUILD_ROOT/%_datadir/applnk/Editors/SciTE.desktop $RPM_BUILD_ROOT/%_datadir/applications

%clean
rm -fr $RPM_BUILD_ROOT

%post

%postun

%files
# fix attributes changed by dos2unix back to normal
%attr(0755,root,root) %_bindir/SciTE
%attr(0755,root,root) %_bindir/libscintilla.so
%attr(0755,root,root) %_bindir/liblexilla.so
%attr(0755,root,root) %_prefix/share/icons/hicolor/*
%attr(0644,root,root) %_prefix/share/%name/*
%attr(0755,root,root) %_datadir/pixmaps/*
%attr(0644,root,root) %{_prefix}/share/applications/SciTE.desktop
%attr(0644,root,root) %_mandir/man1/*
%attr(0644,root,root) /usr/share/doc/%{name}-%{version}/*

%changelog
